aboutsummaryrefslogtreecommitdiff
path: root/scp.sh
diff options
context:
space:
mode:
authorInigoGutierrez <inigogf.95@gmail.com>2019-12-15 20:41:51 +0100
committerInigoGutierrez <inigogf.95@gmail.com>2019-12-15 20:41:51 +0100
commit17d38e1b9c7abc590565bdc0817896aa54773e00 (patch)
tree4c3ff0a902f1612f34d8c067150282f87e8504d5 /scp.sh
parent3bf42f723a523735b2f5d9c7ba81d9bc0f88ea2d (diff)
downloadscripts-17d38e1b9c7abc590565bdc0817896aa54773e00.tar.gz
scripts-17d38e1b9c7abc590565bdc0817896aa54773e00.zip
ssh.sh and scp.sh behave propery if fzf is exited.
Diffstat (limited to 'scp.sh')
-rwxr-xr-xscp.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scp.sh b/scp.sh
index 368b6bf..ca6769b 100755
--- a/scp.sh
+++ b/scp.sh
@@ -2,7 +2,7 @@
# Allows to select a host to send files to through scp
hostsfile="$HOME/.hosts"
-hostnames="$(sed '/^#.*$/d' < "$hostsfile" | cut -d'#' -f1 | fzf)"
+hostnames="$(sed '/^#.*$/d' < "$hostsfile" | cut -d'#' -f1 | fzf)" || exit 0
host="$(grep "$hostnames" < "$hostsfile")"
hostname="$(echo "$host" | cut -d'#' -f1)"
hostaddress="$(echo "$host" | cut -d'#' -f2)"